package com.example.service03;

public class Alarm {
	 
    int id;
    String note;
    int status;
    String created_at;
 
    long time_milliseconds;
    String nom;
    
    // constructors
    public Alarm() 
    {
    }
    
    public Alarm(long time_milliseconds, String nom )
    {
        this.time_milliseconds = time_milliseconds;
        this.nom = nom;
        
    }
 
    public Alarm(String note, int status, String created_at )
    {
        this.note = note;
        this.status = status;
        this.created_at = created_at;
    }
 
    public Alarm(int id, String note, int status) 
    {
        this.id = id;
        this.note = note;
        this.status = status;
    }
/************************************************************************************/
    // setters
    
    
    public void setId(int id) {
        this.id = id;
    }
 
    public void setNote(String note) {
        this.note = note;
    }
 
    public void setStatus(int status) {
        this.status = status;
    }
     
    public void setCreatedAt(String created_at){
        this.created_at = created_at;
    }
    
    public void set_nom(String nom)
    {
        this.nom = nom;
        
    }
    
    public void set_time_milliseconds(long time_milliseconds)
    {
        this.time_milliseconds = time_milliseconds;
        
    }
 /************************************************************************************/
    // getters
    public long getId() {
        return this.id;
    }
 
    public String getNote() {
        return this.note;
    }
 
    public int getStatus() {
        return this.status;
    }
    
    public String get_nom()
    {
    	return this.nom;
    }
    
    
    public long get_time_milliseconds()
    {
    	  return this.time_milliseconds;
    }
    
   
}